Get Page Descendants

Returns all subpages (at all levels, not just the first level) of the given page that are accessible to the current user.
The response may contain fewer results than page_size, depending on how many pages the user has access to.

Request

GET

https://api.wiki.yandex.net/v1/pages/{idx}/descendants

Path parameters

Name

Description

idx

Type: integer

Query parameters

Name

Description

actuality

Type: string

An enumeration.

Enum: actual, obsolete

cursor

Type: string

Example: ``

include_self

Type: boolean

Include the current page in the response

Default: false

page_size

Type: integer

Number of results per page.

Default: 50

Min value: 1

Max value: 100

Responses

200 OK

OK

Body

application/json
{
  "results": [
    {
      "id": 0,
      "slug": "example"
    }
  ],
  "next_cursor": "example",
  "prev_cursor": "example",
  "page_id": 0
}

Name

Description

page_id

Type: integer

For backward compatibility: always equals 1 when a cursor is set

results

Type: PageSchema[]

Example
[
  {
    "id": 0,
    "slug": "example"
  }
]

next_cursor

Type: string

Example: example

prev_cursor

Type: string

Example: example

PageSchema

Name

Description

id

Type: integer

slug

Type: string

Example: example

Example
{
  "id": 0,
  "slug": "example"
}